HyperTrackDocs
Visits

Get Visit by id

Retrieve Visit associated with visit_id. This API provides the ability to fetch visit based on visit_id

GET
/visits/{visit_id}

Retrieve Visit associated with visit_id. This API provides the ability to fetch visit based on visit_id

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

visit_id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/visits/string"
{  "visit_id": "4fa595bd-6c49-4a9e-9507-63e9ca0eb0fc",  "created_at": "string",  "updated_at": "string",  "geofence_id": "3b717307-4590-48e6-928a-9b2c02bde0b6",  "driver_handle": "string",  "worker_handle": "string",  "worker_name": "string",  "worker_profile": {    "property1": null,    "property2": null  },  "device_id": "3bafab7b-4400-4bcf-8e6e-09f954699940",  "order_handle": "string",  "place_handle": "string",  "ops_group_handle": "string",  "arrival": {    "location": {      "type": "Point",      "coordinates": [        0      ]    },    "recorded_at": "string",    "location_accuracy": 0  },  "exit": {    "location": {      "type": "Point",      "coordinates": [        0      ]    },    "recorded_at": "string",    "location_accuracy": 0  },  "enroute": {    "duration": 0,    "distance": 0,    "idle_time": 0,    "outage_duration": 0,    "outage_distance": 0,    "outage": {      "property1": null,      "property2": null    },    "tracking_rate": 0  },  "service": {    "duration": 0,    "distance": 0,    "outage_duration": 0,    "outage": {      "property1": null,      "property2": null    },    "tracking_rate": 0  },  "metadata": {    "property1": null,    "property2": null  },  "geofence_metadata": {    "property1": null,    "property2": null  },  "tracking_rate": 0,  "system_generated_order_handle": true,  "visit_geometry": {    "radius": 0,    "geometry": {      "type": "Point",      "coordinates": [        null      ]    }  },  "geofence_address": "string",  "timezone": "string",  "attachments": [    {      "type": "image",      "url": "string",      "caption": "string",      "attachment_id": "string"    }  ]}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}